# EasyPortfolio

Are you a developer with an outstanding understanding of server-side programming? If so, would you rather not do any front-end programming? Furthermore, are you on the job hunt and need a fresh, professional portfolio website to show off your programming skills?

If you meet any or all of those requirements, you may be in luck.

With **EasyPortfolio**, you can have a working portfolio for your *Ruby* projects and Resume up in minutes. I took care of the front-end work; the CSS is all mobile-first, with media queries that make viewing on any device possible.

Here is the link to the RubyGems page: [EasyPortfolio](https://rubygems.org/gems/easy_portfolio)

## How To Use

Simply install the gem with the command `gem install easy_portfolio` and run the command `easy` from the directory where you would like your project to be stored.

Upon opening the HTML and CSS you will see that it comes with all of the layouts and styles needed. The Sinatra files are also all set up so if you want to write some Ruby code into your routes you have that flexibility. As it stands now there is no Ruby code in the HTML or CSS. 

To test your site, just run `bundle exec ruby app.rb` from the root of the project directory.

Of course, feel free to personalize the CSS as much as you'd like.

The things you will need to add to the site are:
1. Your picture
2. Pictures of two of your projects
3. Resume and personal information
4. Links to your Github, Linkedin, and email address.

## Further Information

If you are having trouble installing or using the gem, send me an email at `jordanmoore753@gmail.com`. For any issues or errors encountered while using the gem you can email the same address.

Thank you for your time and have a great day!
